import {AbstractCall, BaseRequestPayload, BaseResponsePayload} from "../../src/AbstractCall";
import {UserSkeleton} from "../database/ObjectSkeletons";
import {User} from "../database/ObjectInterfaces";

export class UpdateUserCall extends AbstractCall<UpdateUserCall.RequestPayload,UpdateUserCall.ResponsePayload>{
    getRequestName(): string {
        return UpdateUserCall.NAME;
    }
}

export module UpdateUserCall{
    export const NAME = "UPDATE_USER_CALL";

    export interface RequestPayload extends BaseRequestPayload{
        user_id:any,
        user:UserSkeleton
    }

    export interface ResponsePayload extends BaseResponsePayload{
        updated_user:User
    }
}