import {AbstractCall, BaseRequestPayload, BaseResponsePayload} from "../../src/AbstractCall";
import {UserSkeleton} from "../database/ObjectSkeletons";
import {User} from "../database/ObjectInterfaces";


export class UserInfoCall extends AbstractCall<UserInfoCall.RequestPayload,UserInfoCall.ResponsePayload>{
    getRequestName(): string {
        return UserInfoCall.NAME;
    }
}

export module UserInfoCall{
    export const NAME = "USER_INFO_CALL";

    export interface RequestPayload extends BaseRequestPayload{
        user_id : any
    }

    export interface ResponsePayload extends BaseResponsePayload,UserSkeleton{
        user : User
    }
}