/**
 *  These skeletons are representing only the changeable attributes and may or may not contains those.
 *  Mainly used for updating these objects.
 */
import {Timeslot} from "./ObjectInterfaces";

interface BaseSkeleton {
    last_changed?: Date
}

export interface PollSkeleton extends BaseSkeleton {
    title?: string
    start_date_poll?: Date
    end_date_poll?: Date
    displayed_dates?: Date[]
    exposing?: boolean
    location?: string
    timeslot_min_duration?: number
    hash?: string
    cal_start?: Date
    cal_end?: Date
    cal_timesteps?: number
    theme?: string
    color_nav?: string
    color_content?: string
    color_buttons?: string
    logo?: string
    timeslots?: Timeslot[]
}

export interface CommentSkeleton extends BaseSkeleton {
    text?: string
}

export interface ParticipantSkeleton extends BaseSkeleton {
    name?: string
    timeslots?: Timeslot[]
}

export interface UserSkeleton extends BaseSkeleton {
    username? : string
    name? : string
    surname? : string
    email? : string
    hash? : string
    company? : string
    birthdate? : Date
    gender? : string
    school? : string
    country? : string
    profile_image? : string
}