import { AbstractCall, BaseRequestPayload, BaseResponsePayload } from "../../src/AbstractCall";
export declare class PollCall extends AbstractCall<PollCall.RequestPayload, PollCall.ResponsePayload> {
    getRequestName(): string;
}
export declare module PollCall {
    const NAME = "SAVE_POLL_CALL";
    interface Timeslot {
        start_date: Date;
        end_date: Date;
    }
    interface Timeslot2 {
        start_date: Date;
        end_date: Date;
    }
    interface Participant {
        id: string;
        timeslots: Timeslot2[];
    }
    interface RequestPayload extends BaseRequestPayload {
        creator: string;
        id: string;
        title: string;
        start_date_poll: Date;
        end_date_poll: Date;
        exposing: boolean;
        location: string;
        timeslot_min_duration: number;
        password: string;
        salt: string;
        theme: string;
        color_header: string;
        color_background: string;
        logo: string;
        displayed_dates: any[];
        timeslots: {
            stard_date: Date;
            end_date: Date;
        }[];
        participants: {
            id: string;
            timeslots: {
                stard_date: Date;
                end_date: Date;
            }[];
        }[];
    }
    interface ResponsePayload extends BaseResponsePayload {
        data: {
            id: string;
        };
    }
}
