import {AbstractCall, BaseRequestPayload, BaseResponsePayload} from "../../src/AbstractCall";
import {Comment} from "../database/ObjectInterfaces";

export class CreateCommentCall extends AbstractCall<CreateCommentCall.RequestPayload, CreateCommentCall.ResponsePayload>{

    getRequestName(): string {
        return CreateCommentCall.NAME;
    }
}

export module CreateCommentCall {
    export const NAME = "CREATE_COMMENT_CALL";

    export interface RequestPayload extends BaseRequestPayload{
        participant_id : any,
        comment : string
    }

    export interface ResponsePayload extends BaseResponsePayload{
        comment_id:any
    }

}