import {AbstractCall, BaseRequestPayload, BaseResponsePayload} from "../../src/AbstractCall";
import {Participant, Timeslot} from "../database/ObjectInterfaces";

export class CreatePollCall extends AbstractCall<CreatePollCall.RequestPayload, CreatePollCall.ResponsePayload>{

    getRequestName(): string {
        return CreatePollCall.NAME;
    }
}

export module CreatePollCall {
    export const NAME = "CREATE_POLL_CALL";

    export interface RequestPayload extends BaseRequestPayload{
        user_id?: any
        creator_name?:string
        title: string
        start_date_poll: Date
        end_date_poll: Date
        displayed_dates: Date[]
        exposing: boolean
        location: string
        timeslot_min_duration: number
        password?: string
        cal_timesteps: number
        theme: string
        color_nav: string
        color_content: string
        color_buttons: string
        logo: string
        timeslots: {start_date: Date, end_date: Date}[]
        participants?: string[]
    }

    export interface ResponsePayload extends BaseResponsePayload{
        poll_id : any
        creator_id:any
    }

}