import {AbstractCall, BaseRequestPayload, BaseResponsePayload} from "../../src/AbstractCall";
import {Timeslot} from '../database/ObjectInterfaces'

export class ParticipateInPollCall extends AbstractCall<ParticipateInPollCall.RequestPayload, ParticipateInPollCall.ResponsePayload> {

    getRequestName(): string {
        return ParticipateInPollCall.NAME;
    }
}

export module ParticipateInPollCall{
    export const NAME = "PARTICIPATE_IN_POLL_CALL";

    export interface RequestPayload extends BaseRequestPayload{
        poll_id : any
        user_id? : any
        name : string
        timeslots : {start_date: Date, end_date: Date}[]
    }

    export interface ResponsePayload extends BaseResponsePayload{
        participant_id:any
    }
}
