import {AbstractCall, BaseRequestPayload, BaseResponsePayload} from "../../src/AbstractCall";
import {PollSkeleton} from "../database/ObjectSkeletons";

export class SavePollCall extends AbstractCall<SavePollCall.RequestPayload, SavePollCall.ResponsePayload>{

    getRequestName(): string {
        return SavePollCall.NAME;
    }
}

export module SavePollCall {
    export const NAME = "SAVE_POLL_CALL";

    export interface RequestPayload extends BaseRequestPayload{
        poll_id:any
        poll: PollSkeleton

    }

    export interface ResponsePayload extends BaseResponsePayload{
        poll_id:any
    }

}