import {AbstractCall, BaseRequestPayload, BaseResponsePayload} from "../../src/AbstractCall";
import {CommentSkeleton} from "../database/ObjectSkeletons";

export class UpdateCommentCall extends AbstractCall<UpdateCommentCall.RequestPayload, UpdateCommentCall.ResponsePayload>{

    getRequestName(): string {
        return UpdateCommentCall.NAME;
    }
}

export module UpdateCommentCall {
    export const NAME = "UPDATE_COMMENT_CALL";

    export interface RequestPayload extends BaseRequestPayload{
        comment_id : any
        comment : CommentSkeleton
    }

    export interface ResponsePayload extends BaseResponsePayload{
       comment_id:any
    }

}