import {AbstractCall, BaseRequestPayload, BaseResponsePayload} from "../../src/AbstractCall";
import {ParticipantSkeleton} from "../database/ObjectSkeletons";
import {Participant} from "../database/ObjectInterfaces";

export class UpdateParticipantCall extends AbstractCall<UpdateParticipantCall.RequestPayload, UpdateParticipantCall.ResponsePayload> {

    getRequestName(): string {
        return UpdateParticipantCall.NAME;
    }
}

export module UpdateParticipantCall {
    export const NAME = "UPDATE_PARTICIPANT_CALL";

    export interface RequestPayload extends BaseRequestPayload{
        participant_id : any
        participant : ParticipantSkeleton
    }

    export interface ResponsePayload extends BaseResponsePayload{
        updated_participant: Participant
    }
}