import { ApiCallID } from "./ApiCallID";
export declare abstract class AbstractCall<RequestPayload extends BaseRequestPayload, ResponsePayload extends BaseResponsePayload> {
    readonly data: Request<RequestPayload>;
    constructor(data: Request<RequestPayload>);
    abstract getRequestName(): string;
    get(ip?: string): Promise<Response<ResponsePayload>>;
}
export interface Request<RequestPayload extends BaseRequestPayload> {
    token?: any;
    payload: RequestPayload;
}
export interface Response<ResponsePayload extends BaseResponsePayload> {
    id: ApiCallID;
    successful: boolean;
    error?: {
        message: string;
        code?: string;
    };
    payload?: ResponsePayload;
}
export interface BaseRequestPayload {
}
export interface BaseResponsePayload {
}
