"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const axios_1 = require("axios");
class AbstractCall {
    constructor(data) {
        this.data = data;
    }
    async get(ip) {
        let IP = "";
        if (ip)
            IP = ip;
        else if (process && process.env && process.env.MEETZNOW_BACKEND)
            IP = process.env.MEETZNOW_BACKEND;
        else if (process && process.env && process.env.VUE_APP_MEETZNOW_BACKEND_IP)
            IP = process.env.VUE_APP_MEETZNOW_BACKEND_IP;
        else
            throw new Error("No backend IP provided! Either pass a IP to .get(ip? : string) or set the environment variable MEETZNOW_BACKEND or VUE_APP_MEETZNOW_BACKEND_IP.");
        const url = `http${IP === "localhost:3000" ? "" : "s"}://${IP}/${this.getRequestName()}`;
        const responseAxios = await axios_1.default.post(url, this.data);
        if (responseAxios.status !== 200 || !responseAxios.data)
            throw new Error(JSON.stringify(responseAxios));
        const response = responseAxios.data.valueOf();
        if (response.error)
            throw new Error(response.error.message);
        return response;
    }
}
exports.AbstractCall = AbstractCall;
